PSA: TeamViewer was recently compromised

Discussion in 'Discussions' started by Party, Jun 2, 2016.

  1. x-post from /r/2007scape
    PSA: TeamViewer was recently Compromised. If you use it, please read this. • /r/2007scape

     
  2. Chrome remote desktop master race.
     
    XenoTools likes this.
  3. So if I just downloaded it but never made an account I should be good?
     
  4. Yes, pretty much... don't really know anyone with a teamviewer account anyways:eek:
     
    EvilCabbage likes this.

Share This Page

Loading...